Skip to main content
PATCH
/
feedstock_types
/
{id}
Patch Feedstock Type
curl --request PATCH \
  --url https://api.sandbox.isometric.com/mrv/v0/feedstock_types/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-client-secret: <x-client-secret>' \
  --data '
{
  "name": {
    "__typename": "Undefined"
  },
  "supplier_reference_id": {
    "__typename": "Undefined"
  }
}
'
import requests

url = "https://api.sandbox.isometric.com/mrv/v0/feedstock_types/{id}"

payload = {
"name": { "__typename": "Undefined" },
"supplier_reference_id": { "__typename": "Undefined" }
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: {__typename: 'Undefined'},
supplier_reference_id: {__typename: 'Undefined'}
})
};

fetch('https://api.sandbox.isometric.com/mrv/v0/feedstock_types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "ftt_1D7KZ1P761S0G7BN",
  "name": "<string>",
  "supplier_reference_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

id
string
required
Required string length: 20 - 37
Examples:

"ftt_1D7KZ1P761S0G7BN"

"ftt_1CSRJN4HHSBXZ3TK"

Body

application/json
name
default:{"__typename":"Undefined"}
supplier_reference_id
default:{"__typename":"Undefined"}

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200

Response

Successful Response

id
string
required
Required string length: 20 - 37
Examples:

"ftt_1D7KZ1P761S0G7BN"

"ftt_1CSRJN4HHSBXZ3TK"

name
string
required
supplier_reference_id
string | null
required

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200